Logo
OpenScaler
API DocumentationComputer Flavors/Sizes

List templates for VM creation

GET
/v1/distros

List all templates available for VM creation, including OS images, marketplace images, and user templates (when project_id is provided for the latter).

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Query Parameters

project_id?string

When provided, includes user templates from this project.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/distros"
{  "templates": [    {      "id": "debian-13",      "slug": "debian-13",      "kind": "os",      "name": "Debian",      "version": "13",      "category": "Debian",      "disabled": false,      "min_requirements": {        "cpu": 1,        "memory": 1024,        "disk": 25      },      "codename": "Bookworm"    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}